using System;
using System.Collections.Generic;
using System.Text;

namespace Sample3_UpdateVersion
{
    class Program
    {
        static void Main(string[] args)
        {
            IntPtr hVersionBlock = BoxedAppPackerAPI.NativeMethods.BoxedAppPackerAPI_CreateVersionBlock();

            BoxedAppPackerAPI.NativeMethods.BoxedAppPackerAPI_VersionBlock_SetValue(hVersionBlock, "FileDescription", "This is a test description");
            BoxedAppPackerAPI.NativeMethods.BoxedAppPackerAPI_VersionBlock_SetValue(hVersionBlock, "FileVersion", "1.1 build 105");

            BoxedAppPackerAPI.NativeMethods.BoxedAppPackerAPI_VersionBlock_SetVersion(hVersionBlock, 1, 2, 3, 4);

            BoxedAppPackerAPI.NativeMethods.BoxedAppPackerAPI_UpdateVersionInfo(args[0], hVersionBlock);

            BoxedAppPackerAPI.NativeMethods.BoxedAppPackerAPI_DestroyVersionBlock(hVersionBlock);
        }
    }
}
